Page MenuHomePhabricator

elm_entry: legacy smart selection[start,cleared] callback fix
AcceptedPublic

Authored by ali.alzyod on Sep 1 2020, 9:30 AM.

Details

Summary

due to changes in latest text apis in unified, legacy selection call back [start,clear] does not work anymore,
Now add the support for legacy callback [selection,start selection,cleared]

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 17288
Build 11552: arc lint + arc unit
ali.alzyod created this revision.Sep 1 2020, 9:30 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

ali.alzyod requested review of this revision.Sep 1 2020, 9:30 AM
ali.alzyod updated this revision to Diff 31093.Sep 1 2020, 9:42 AM

remove unneeded events from legacy object

bowonryu accepted this revision.Sep 3 2020, 8:13 PM

This patch fixes a compatibility issue. I think this is absolutely necessary.

This revision is now accepted and ready to land.Sep 3 2020, 8:13 PM

Hello. @stefan_schmidt

Can I apply this kind of patch (for compatibility issue) now?
(The issue was reported just a few days ago)

Or, do I need to wait for completion of release ?

ali.alzyod closed this revision.Sep 23 2020, 3:30 AM
ali.alzyod reopened this revision.Sep 23 2020, 6:26 AM
This revision is now accepted and ready to land.Sep 23 2020, 6:26 AM